# toolchain-builder

Toolchain builder for Rust cross compilation.

This project build the toolchain used for [newsletter2web][1].

By default, it uses the latest [Rust][2] and [`cross`][3] versions.

## Usage

```
USAGE: ./build.sh <slim|full|zig> [rust version] [cross version] [zig version]

Arguments:
        <slim|full>     Slim build (without targets) or Full build (with targets)

        [rust version]  Version of rust (https://github.com/rust-lang/rust)
        [cross version] Version of cross (https://github.com/cross-rs/cross)
        [zig version]   Version of zig (https://ziglang.org/download)
                        Use 'master' for master version of zig

All versions default to the latest release.
```

[1]: https://code.kiers.eu/newsletter-to-web/newsletter-to-web
[2]: https://www.rust-lang.org/
[3]: https://github.com/cross-rs/cross

